### Struct

# ECal ReminderData

since: 3.30

#### Description [src]

    struct EReminderData {
      /* No available fields */
    }

Contains data related to single reminder occurrence.

Available since: 3.30

#### Constructors

###### e_reminder_data_new

No description available.

since: 3.30

#### Instance methods

###### e_reminder_data_copy

Copies given `EReminderData` structure. When the `rd` is `NULL`, simply returns `NULL` as well.

since: 3.30

###### e_reminder_data_free

Frees previously allocated `EReminderData` structure with `e_reminder_data_new()` or e_reminder_data_copy(). The function does nothing when `rd` is `NULL`.

since: 3.30

###### e_reminder_data_get_component

No description available.

since: 3.34

###### e_reminder_data_get_instance

No description available.

since: 3.34

###### e_reminder_data_get_source_uid

No description available.

since: 3.34

###### e_reminder_data_set_component

Set an `ECalComponent` `component` as associated with this `rd`. The `rd` creates a copy of the `component`.

since: 3.34

###### e_reminder_data_set_instance

Set an `ECalComponentAlarmInstance` `instance` as associated with this `rd`. The `rd` creates a copy of the `instance`.

since: 3.34

###### e_reminder_data_set_source_uid

Set an `ESource` UID for `rd`.

since: 3.34